%define		pkgname inventory-system
Name:		ix-inventory-system
Release:	39.1
Version:	0.1.6
Url:		http://www.internetx.com/
License:	GPLv2
Group:		System
Summary:	System inventory client
Source0:	%{pkgname}-%{version}.tar.bz2
Source1:	%{pkgname}.conf
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
%if 0%{?suse_version}
%define wwwdir /srv/www/inventory-system
%else
%define wwwdir /var/www/inventory-system
%endif
Requires:	virt-what-inventory >= 1.12
Requires:	lshw
%if 0%{?suse_version}
%if 0%{?suse_version} >= 1120
Requires:	dmidecode
%else
Requires:	pmtools
%endif
%if 0%{?sles_version} == 10
Requires:	lsb
%else
Requires:	lsb-release
%endif
Requires:	awk
%else
Requires:	dmidecode
Requires:	lsb
Requires:	gawk
%endif
Requires:	coreutils
Requires:	curl
Requires:	ethtool
Requires:	grep
Requires:	sed
Requires:	util-linux
Requires:	net-tools
Requires:	iproute
Requires:	ipmitool
Requires:	device-mapper
Requires:	findutils

%description
System inventory reporting tool. It uses various tools
to detect system information and hardware, virtualization type,
serial and so on.

%package server
Group:		System
Summary:	Server part of inventory-system
Requires:	php5-mysql

%description server
System inventory server includes php scripts for collecting
submitted data by inventory-reporting tool. Collected data
is save to mysql database.

%prep
%setup -n %{pkgname}-%{version}

%build

%install
%__install -D -m755 client/%{pkgname}.sh %{buildroot}%{_sbindir}/%{pkgname}
%__install -D -m755 client/cron.daily %{buildroot}%{_sysconfdir}/cron.daily/inventorysystem
%__install -D -m644 client/cron.reboot %{buildroot}%{_sysconfdir}/cron.d/inventory-system
%__install -D -m644 %{S:1} %{buildroot}%{_sysconfdir}/%{pkgname}.conf
%__install -d %{buildroot}/%{wwwdir}
%__install -D -m755 client/ix-functions.sh %{buildroot}%{_sysconfdir}/inventory-system.d/ix-functions.sh
%__install -D -m755 client/cpu-mem-functions.sh %{buildroot}%{_sysconfdir}/inventory-system.d/cpu-mem-functions.sh
%__install -D -m755 client/hdd-functions.sh %{buildroot}%{_sysconfdir}/inventory-system.d/hdd-functions.sh
%__install -m644 server/*.php %{buildroot}/%{wwwdir}/

%clean
rm -rf %{buildroot}

%post
if [ -f /etc/init.d/cups ] ; then
        /sbin/chkconfig cups off || :
fi
if [ -f /etc/init.d/portreserve ] ; then
        /sbin/chkconfig portreserve off || :
fi

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/%{pkgname}.conf
%{_sysconfdir}/cron.daily/inventorysystem
%{_sysconfdir}/cron.d/inventory-system
%{_sbindir}/%{pkgname}
%dir %{_sysconfdir}/inventory-system.d
%{_sysconfdir}/inventory-system.d/ix-functions.sh
%{_sysconfdir}/inventory-system.d/cpu-mem-functions.sh
%{_sysconfdir}/inventory-system.d/hdd-functions.sh

%files server
%defattr(-,root,root)
%dir %{wwwdir}
%config %{wwwdir}/config.inc.php
%config(noreplace) %{wwwdir}/config-custom.inc.php
%config(noreplace) %{wwwdir}/db.inc.php
%{wwwdir}/isdf.php
%{wwwdir}/search.php
%{wwwdir}/status.php
%{wwwdir}/dhcpconf.class.php
%{wwwdir}/inet4.class.php
%{wwwdir}/inv-dhcp4.class.php
%{wwwdir}/create_dhcp_configs.php
%{wwwdir}/client-status.php
%doc server/*.sql
%doc contrib

%changelog
* Tue Feb 28 2023 Carsten Schoene <carsten.schoene@internetx.com>
- release 0.1.6
- fix for xen hypervisor host detection
* Fri Feb  3 2023 Carsten Schoene <carsten.schoene@internetx.com>
- release 0.1.5
  * new cpu/mem/hdd functions
  * uuid bugfixes
* Fri Jul 11 2014 cs@linux-administrator.com
- RHEL7 + CentOS7 support
* Thu Nov 15 2012 cs@linux-administrator.com
- disable cups
* Thu Jun 28 2012 cs@linux-administrator.com
- initial package
